Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.providers.query.oql
Class AdditiveTree

    java.lang.Object
      org.makumba.providers.query.oql.AnalysisTree
          org.makumba.providers.query.oql.AdditiveTree

    public class AdditiveTree

extends AnalysisTree

additive operations take their type from any of the operands, and have operands of the same type

Field Summary

Fields inherited from class org.makumba.providers.query.oql.AnalysisTree
`ADD, AND, ASIM_COMP, CONCAT, EXCEPT, IN, INTERSECT, leaf, left, LIKE, makumbaType, MUL, op, OR, right, SIM_COMP, UNION`

Constructor Summary
`AdditiveTree(Object left, int op, Object right)`

Method Summary
`Object` | `computeTypeFromOperands()`
`Object` | `guessParameterType(Object otherOperandType)`
`void` | `negociateOperandTypes(Object t1, Object t2)`

Methods inherited from class org.makumba.providers.query.oql.AnalysisTree
`adjustType, checkOperandTypes, checkOperandTypes, computeType, getMakumbaType, getTree, guessParameterType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AdditiveTree

    public AdditiveTree(Object left,
                        int op,
                        Object right)

Method Detail

### computeTypeFromOperands

    public Object computeTypeFromOperands()

  Overrides:
    `computeTypeFromOperands` in class `AnalysisTree`

### guessParameterType

    public Object guessParameterType(Object otherOperandType)

  Overrides:
    `guessParameterType` in class `AnalysisTree`

### negociateOperandTypes

    public void negociateOperandTypes(Object t1,
                                      Object t2)
                               throws antlr.RecognitionException

  Overrides:
    `negociateOperandTypes` in class `AnalysisTree`
  Throws:
    `antlr.RecognitionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20